gtkmm 2.4: Gtk::ComboBoxEntryText Class Reference

Main Page Widgets Namespaces Book

# Gtk::ComboBoxEntryText Class Reference
[Widgets]

Inheritance diagram for Gtk::ComboBoxEntryText:

[legend]
List of all members.

## Detailed Description

This is a specialisation of the ComboBoxEntry which has one column of text (a simple list), and appropriate methods for setting and getting the text.

## Public Member Functions
void | append_text (const Glib::ustring& text)
| Add an item to the end of the drop-down list.
void | clear ()
void | clear_items ()
| Remove all items from the drop-down menu.
| ComboBoxEntryText ()
Glib::ustring | get_active_text () const
void | insert_text (int position, const Glib::ustring& text)
void | prepend_text (const Glib::ustring& text)
| Add an item to the beginning of the drop-down list.
void | remove_text (const Glib::ustring& text)
| Remove the specified item if it is in the drop-down menu.
void | set_active_text (const Glib::ustring& text)
## Protected Attributes
TextModelColumns | m_text_columns
## Classes
class | TextModelColumns

## Constructor & Destructor Documentation

Gtk::ComboBoxEntryText::ComboBoxEntryText | ( |  | ) |

## Member Function Documentation

void Gtk::ComboBoxEntryText::append_text | ( | const Glib::ustring& | text | ) |

  | Add an item to the end of the drop-down list. Parameters:
  | text | The text for the item.

void Gtk::ComboBoxEntryText::clear | ( |  | ) |

| Deprecated: See clear_items(). Since 2.8. Reimplemented from Gtk::CellLayout.

void Gtk::ComboBoxEntryText::clear_items | ( |  | ) |

| Remove all items from the drop-down menu.

Glib::ustring Gtk::ComboBoxEntryText::get_active_text | ( |  | ) | const

void Gtk::ComboBoxEntryText::insert_text | ( | int | position,
|  | const Glib::ustring& | text
| ) |

void Gtk::ComboBoxEntryText::prepend_text | ( | const Glib::ustring& | text | ) |

  | Add an item to the beginning of the drop-down list. Parameters:
  | text | The text for the item.

void Gtk::ComboBoxEntryText::remove_text | ( | const Glib::ustring& | text | ) |

| Remove the specified item if it is in the drop-down menu. The text of the item that should be removed.

void Gtk::ComboBoxEntryText::set_active_text | ( | const Glib::ustring& | text | ) |

## Member Data Documentation

TextModelColumns Gtk::ComboBoxEntryText::m_text_columns`[protected]`

The documentation for this class was generated from the following file:

- comboboxentrytext.h